<?php
require_once "conexion.php";

class ModeloProveedor{

    static public function MdlMostrarProveedores($tabla, $item, $valor){

        if($item != null){

            $stmt = Conexion:: conectar()->prepare("SELECT * FROM $tabla WHERE $item = :$item");

            $stmt -> bindParam(":".$item, $valor, PDO::PARAM_STR);
            
            $stmt -> execute();

            return $stmt -> fetch();

        }else {

            $stmt = Conexion:: conectar()->prepare("SELECT * FROM $tabla WHERE estado = 1");
            
            $stmt -> execute();

            return $stmt -> fetchAll();
        }

        $stmt -> close();

        $stmt = null;
    }

    static public function mdlIngresarProveedor($tabla, $datos){

        $stmt = Conexion:: conectar()->prepare("INSERT INTO $tabla(ruc_dni, razon_social, email, telefono, direccion, estado) VALUES (:ruc_dni, :razon_social, :email, :telefono, :direccion, :estado)");
        
        $stmt -> bindParam(":ruc_dni", $datos["ruc_dni"], PDO::PARAM_STR);
        $stmt -> bindParam(":razon_social", $datos["razon_social"], PDO::PARAM_STR);
        $stmt -> bindParam(":email", $datos["email"], PDO::PARAM_STR);
        $stmt -> bindParam(":telefono", $datos["telefono"], PDO::PARAM_STR);
        $stmt -> bindParam(":direccion", $datos["direccion"], PDO::PARAM_STR);
        $stmt -> bindParam(":estado", $datos["estado"], PDO::PARAM_STR);

        if($stmt -> execute()){
            return "ok";
        }else{
            return "error";
        }
        
        $stmt -> close();

        $stmt = null;

        
    }

    /** Editar de proveedor */

    static public function mdlEditarProveedor($tabla, $datos){

        $stmt = Conexion:: conectar()->prepare("UPDATE $tabla SET ruc_dni = :ruc_dni, razon_social = :razon_social, email = :email, telefono = :telefono, direccion = :direccion WHERE id = :id");
        
        $stmt -> bindParam(":id", $datos["id"], PDO::PARAM_STR);
        $stmt -> bindParam(":ruc_dni", $datos["ruc_dni"], PDO::PARAM_STR);
        $stmt -> bindParam(":razon_social", $datos["razon_social"], PDO::PARAM_STR);
        $stmt -> bindParam(":email", $datos["email"], PDO::PARAM_STR);
        $stmt -> bindParam(":telefono", $datos["telefono"], PDO::PARAM_STR);
        $stmt -> bindParam(":direccion", $datos["direccion"], PDO::PARAM_STR);

        if($stmt -> execute()){
            return "ok";
        }else{
            return "error";
        }
        
        $stmt -> close();

        $stmt = null;

        
    }

          /*=============================================
	BORRAR PROVEEDOR
	=============================================*/

	static public function mdlBorrarProveedor($tabla, $datos){

		$stmt = Conexion::conectar()->prepare("UPDATE $tabla SET estado = 0 WHERE id = :id");

		$stmt -> bindParam(":id", $datos, PDO::PARAM_INT);

		if($stmt -> execute()){

			return "ok";
		
		}else{

			return "error";	

		}

		$stmt -> close();

		$stmt = null;


	}
}